Package org.acplt.oncrpc

## Class OncRpcAuthenticationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.acplt.oncrpc.OncRpcException
      - - org.acplt.oncrpc.OncRpcAuthenticationException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class OncRpcAuthenticationException
      extends OncRpcException

  The class `OncRpcAuthenticationException` indicates an authentication exception.
  Version:
    $Revision: 1.2 $ $Date: 2005/11/11 21:01:44 $ $State: Exp $ $Locker: $
  Author:
    Harald Albrecht
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `private int` | `authStatusDetail` | Specific authentication status detail (reason why this authentication exception was thrown).
    `private static long` | `serialVersionUID` | Defines the serial version UID for `OncRpcAuthenticationException`.

    - ### Fields inherited from class org.acplt.oncrpc.OncRpcException

      `RPC_AUTHERROR, RPC_BUFFEROVERFLOW, RPC_BUFFERUNDERFLOW, RPC_CANNOTREGISTER, RPC_CANTDECODEARGS, RPC_CANTDECODERES, RPC_CANTENCODEARGS, RPC_CANTRECV, RPC_CANTSEND, RPC_FAILED, RPC_PMAPFAILURE, RPC_PROCUNAVAIL, RPC_PROGNOTREGISTERED, RPC_PROGUNAVAIL, RPC_PROGVERSMISMATCH, RPC_SUCCESS, RPC_SYSTEMERROR, RPC_TIMEDOUT, RPC_UNKNOWNPROTO, RPC_VERSMISMATCH, RPC_WRONGMESSAGE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OncRpcAuthenticationException​(int authStatus)` | Initializes an `OncRpcAuthenticationException` with a detail of `OncRpcException.RPC_AUTHERROR` and the specified `authentication status` detail.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getAuthStatus()` | Returns the authentication status detail of this ONC/RPC exception object.

    - ### Methods inherited from class org.acplt.oncrpc.OncRpcException

      `getMessage, getReason`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      Defines the serial version UID for `OncRpcAuthenticationException`.
      See Also:
        Constant Field Values

    - #### authStatusDetail

          private int authStatusDetail

      Specific authentication status detail (reason why this authentication exception was thrown).

  - ### Constructor Detail

    - #### OncRpcAuthenticationException

          public OncRpcAuthenticationException​(int authStatus)

      Initializes an `OncRpcAuthenticationException` with a detail of `OncRpcException.RPC_AUTHERROR` and the specified `authentication status` detail.
      Parameters:
        `authStatus` - The authentication status, which can be any one of the `OncRpcAuthStatus constants`.

  - ### Method Detail

    - #### getAuthStatus

          public int getAuthStatus()

      Returns the authentication status detail of this ONC/RPC exception object.
      Returns:
        The authentication status of this `OncRpcException`.